Subject: Fwd: [devuan-dev] bug#510: Devuan-installer performs unnecessary rsync

From: fsmithred <[email-masked]>
Date: Wed, 9 Sep 2020 15:11:39 -0400

-------- Forwarded Message --------

> Il 07/09/20 20:56, David Waring ha scritto:
>> Package: refractainstaller-yad
>> Version: current
>> Severity: normal
>>
>> Precis: On invoking the installer from liveUSB Desktop and selecting install options including /home, it then wastes several hours copying existing ~1TB home partition to itself using rsync
>>

If you try it again, please save me a copy of
/var/log/refractainstaller.log. I would like to see how you got it to copy
the existing home partition. The script is set up to rsync a copy of the
running live system from the usb to hard drive.

>> I selected the first option since there is no "Use existing /home partition" This may have been my mistake but from the options and instructions on the web it is not obvious how to use your existing partition once the install has completed.

Tito gave the right answer. Install to a single partition and then edit
fstab manually to use the existing home.

There was a "Use existing home partition" option for a very short time,
but I removed it. I could not figure out a sane way to deal with the
user's config files.

I'll have a look at the readme before building the next version. Maybe
there needs to be a special section on re-using an old home.

>>
>> The install process for Mint is much more logical in that GParted lets you select which partitions are mounted at which mountpoints and you have to elect whether or not to format within GParted. In refractainstaller-yad most actions of GParted are inhibited.
>>  

GParted is not inhibited, but the default is for the script to format the
partitions, even if you already formatted them in gparted. I've considered
changing the default to no-format.

fsmithred